\name{crackplot}
\alias{crackplot}
\title{crackplot}
\description{
Adds detected crackpaths and lines which connect the start and end points of the paths to an image.
}
\usage{
crackplot(crackpaths, cracks, cex.points=0.3, lwd.lines=2, 
    col.points="red", col.lines="yellow") 
}
\arguments{
  \item{crackpaths}{Output crackpaths of crackrec: list of matrices with two rows.}
  \item{cracks}{Output cracks of crackrec: matrix with 6 rows and column number 
       coinciding with the numbers of list elements of crackpaths where the last
       four columns contain the cordinates of the start and end points of the cracks.}
  \item{cex.points}{Size of the plotted points of crackpaths.}
  \item{lwd.lines}{Size of the plotted lines connecting start and end points 
                       of the cracks.}
  \item{col.points}{Color of the plotted points of crackpaths.}
  \item{col.lines}{Color of the plotted lines connecting start and end points 
                       of the cracks.}
}
\author{Christine Mueller \email{cmueller@mathematik.uni-kassel.de}}
\examples{
\dontrun{
mx<-rbmp("image.bmp")
result<-crackrec(mx)
image(1:dim(mx)[[1]], 1:dim(mx)[[2]], mx, col=gray((1:32)/32))
crackplot(result$crackpaths, result$cracks)
}
}
\seealso{
\code{\link{rbmp}}, \code{\link{threshold.msi}}, \code{\link{shadow.remove}}, \code{\link{medianfilter}}, \code{\link{crackrec}}
}
\keyword{internal}
